
Multicolumn for the page module - Bug # 54650

Status: Resolved Priority: Must have
Author: Benjamin Schmidt Category:
Created: 2013-12-30 Assigned To: Dmitry Dulepov
Updated: 2015-07-20 Due date:
TYPO3 Version: 6.2
PHP Version:
Subject: Compatibility with TYPO3 CMS 6.2
Description

This extension has two problems with upcomming TYPO3 6.2:

    -  Required typo3 version changed from 6.1.999 to 6.2.999, otherwise the ext cannot be installed on 6.2
    -  PHP Fatal error: require_once(): Failed opening required '/typo3/sysext/cms/tslib/class.tslib_pibase.php'

Tested with version 6.2.0beta3.

Patch attached.

Related issues:
related to wt_spamshield - Bug # 48662: PHP Fatal error:  require_once(): Fai... Resolved 2013-05-30
related to Faceted Search - Bug # 54081: Compatibility with TYPO3 CMS 6.2 Resolved 2013-11-29
related to FeedForward - Bug # 54649: Compatibility with TYPO3 CMS 6.2 New 2013-12-30

History
#1 - 2014-01-03 16:00 - Benjamin Schmidt
- File multicolumn-2.1.16_forTypo3-6.2_2.patch added

There is another bug. If you open a page in the backend containing a multicolumn element, you got following error:

Fatal error: Call to undefined method TYPO3\CMS\Backend\View\PageLayoutView::strip_tags() in
/home/mittella/www/dm-thoerishaus.ch/typo3conf/ext/multicolumn/hooks/class.tx_multicolumn_tt_content_drawItem.php on line 262

Patch multicolumn-2.1.16_forTypo3-6.2#2.patch is attached.

Best regards,
Benjamin Schmidt

#2 - 2014-01-14 12:18 - Benjamin Schmidt
- File multicolumn-2.1.16_forTypo3-6.2_3.patch added
- Assigned To set to Dmitry Dulepov

There is another bug. If you try to add a new element to a page, you got following error:

Warning: require_once(/var/www/typo3/interfaces/interface.cms_newcontentelementwizarditemshook.php): failed to open stream: No such file or
directory in /var/www/typo3/sysext/core/Classes/Utility/GeneralUtility.php on line 4446

Take a look at:
https://git.typo3.org/Packages/TYPO3.CMS.git/blob/875c65b184e5132d4e20ed757a480744a6207b36:/typo3/interfaces/interface.cms_newcontentele
entwizarditemshook.php

Patch multicolumn-2.1.16_forTypo3-6.2#3.patch is attached.

#3 - 2014-01-16 11:04 - Nicole Cordes

And another one after upgrade to beta3

Fatal error: Call to undefined method TYPO3\CMS\Backend\View\PageLayoutView::strip_tags() in
/typo3conf/ext/multicolumn/hooks/class.tx_multicolumn_tt_content_drawItem.php on line 262

#4 - 2014-02-04 09:55 - Adrian Dymorz
- Status changed from New to On Hold

Hi Benjamin,

sorry for the late reply.

Set issue status to "On Hold", for the reasons mentioned in http://blog.snowflake.ch/2014/02/03/mutlicolumn-got-superseded-by-gridelements/

Best regards
Adrian

#5 - 2015-07-20 18:47 - Nicole Cordes
- Status changed from On Hold to Resolved
- Target version changed from 2.1.17 to 2.2.0

Files
multicolumn-2.1.16_forTypo3-6.2.patch 329 Bytes 2013-12-30 Benjamin Schmidt
multicolumn-2.1.16_forTypo3-6.2_2.patch 288 Bytes 2014-01-03 Benjamin Schmidt
multicolumn-2.1.16_forTypo3-6.2_3.patch 1.5 kB 2014-01-14 Benjamin Schmidt
